Bug 1263049 - [RFE] Add python3 subpackage
[RFE] Add python3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-termcolor (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominika Krejčí
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2015-09-14 23:00 EDT by Ben Boeckel
Modified: 2016-06-09 04:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-termcolor-1.1.0-7.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-09 04:49:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python 3 patch for specfile (2.75 KB, patch)
2016-05-06 10:39 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2015-09-14 23:00:47 EDT
There is no python3-termcolor. PyPI says it is Python3 compatible.
Comment 1 Petr Viktorin 2016-04-19 08:45:44 EDT
A bit more formally:

 Upstream, this software supports Python 3. Please provide a Python 3
 package for Fedora.
 
 
 According to the Python packaging guidelines [0], software must be
 packaged for Python 3 if upstream supports it.
 The guidelines give detailed information on how to do this, and even
 provide an example spec file [1].
 
 The current best practice is to provide subpackages for the two Python
 versions (called "Common SRPM" in the guidelines). Alternatively, if
 nothing depends on your Python2 package, you can just switch to Python 3
 entirely.
 
 It's OK to do this in Rawhide only, however, it would be greatly
 appreciated if you could push it to Fedora 24 as well.
 
 
 If you need more instructions, a guide for porting Python-based RPMs is
 available at [2].
 If anything is unclear, or if you need any kind of assistance with the
 porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
 We'll be happy to help!
 
 
 [0] https://fedoraproject.org/wiki/Packaging:Python
 [1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
 [2] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 2 Michael J Gruber 2016-04-28 04:59:10 EDT
I can confirm that termcolor installed via pip3 works flawlessly with python3 on Fedora 23 (which I can't say about python3-xtermcolor, unfortunately).

So, a python3-termcolor package should be in order.
Comment 3 Dominika Krejčí 2016-05-06 10:39 EDT
Created attachment 1154693 [details]
Python 3 patch for specfile

Hi Matthias,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13948661
Comment 4 Tomas Orsava 2016-05-11 07:14:18 EDT
Dominika, have you tested the patch also in mock?
Comment 5 Dominika Krejčí 2016-05-11 07:29:56 EDT
(In reply to Tomas Orsava from comment #4)
> Dominika, have you tested the patch also in mock?

Yes, I have tried fedora-rawhide-x86_64, fedora-23-x86_64 and fedora-24-x86_64), all seemed fine.
Comment 6 Tomas Orsava 2016-05-11 07:58:49 EDT
In that case the patch looks good to me!

As Matthias hasn't responded for the past half a year, I hope he won't mind if we push the patch for him tomorrow.
Comment 7 Matthias Runge 2016-05-11 08:19:07 EDT
Oh yes, please continue here. I must admit, it doesn't even have any priority for me. The patch looked ok to me.
Comment 8 Tomas Orsava 2016-05-11 09:15:06 EDT
Thank you, Matthias!
Comment 9 Dominika Krejčí 2016-06-09 04:49:12 EDT
I have tested it and it looks good.

Note You need to log in before you can comment on or make changes to this bug.